/import?action=CSV:
  post:
    operationId: importCSV
    tags:
      - Import
    summary: Imports contact data from CSV file.
    security: 
        - session: []
        - oauth: 
          - write_contacts      
    description: >
      #### Example CSV

      ```

      "Given name","Sur name"

      "Günther","Mustermann"

      "Hildegard","Musterfrau"

      ```

      The delimiter may be any CSV-valid character (e.g. "," or ";"). The first
      line must contain the column titles that are related

      to the corresponding fields of the ContactData model (see
      [getContact](#contacts/getContact) request). See [Detailed contact
      data](#detailed-contact-data)

      for a mapping of fields to CSV column titles.
    parameters:
      - $ref: '#/components/parameters/glbQueryParamsAllowEnqueue'
      - in: query
        name: folder
        description: >-
          Object ID of the folder into which the data should be imported. This
          must be a contact folder.
        required: true
        schema:
          type: string
      - in: query
        name: charset
        description: >-
          A fixed character encoding to use when parsing the uploaded file,
          overriding the built-in defaults, following the conventions documented
          in [RFC 2278](http://tools.ietf.org/html/rfc2278).
        required: false
        schema:
          type: string
    responses:
      '200':
        description: >
          A HTML page as described in [File uploads](#file-uploads) containing a
          JSON object with the field `data` that represents

          an array of objects each consisting of the fields `id`, `folder_id`
          and `last_modified` of the newly created contacts.

          In case of errors the JSON object contains the well known [error
          fields](#error-handling).
        content:
          text/html:
            schema:
              type: string
    requestBody:
      content:
        multipart/form-data:
          schema:
            type: object
            title: importCSVBody
            properties:
              file:
                description: >-
                  The CSV file containing the contact data. The column titles
                  are the ones described in [Detailed contact
                  data](#detailed-contact-data).
                type: string
                format: binary
            required:
              - file
